/**
 *	单选按钮/复选按钮效果Jquery插件
 */
(function($){
	
	$.fn.extend({
		/**
		 *	复选框效果
		 */
		checkbox : function(){
			/**
			 *	页面初始化效果处理
			 */
			$(this).each(function(){
				if($(this).hasClass("on")){
    				$(this).siblings("input").attr("checked", true);
    			}else{
    				$(this).siblings("input").attr("checked", false);
    			}
			});
			/**
			 *	单击事件绑定
			 */
			$(this).live("click",function(){
				if($(this).hasClass("on")){
					$(this).siblings("input").attr("checked", false);
					$(this).removeClass("on");
				}else{
					$(this).siblings("input").attr("checked", true);
					$(this).addClass("on");
				}
			});	
		},
		/**
		 *	单选框效果
		 */
		radio : function(){
			/**
			 *	页面初始化效果处理
			 */
			$(this).each(function(){
				if($(this).hasClass("on")){
    				$(this).siblings("input").attr("checked", true);
    			}else{
    				$(this).siblings("input").attr("checked", false);
    			}
    			
			});
			/**
			 *	单击事件绑定
			 */
			$(this).live("click",function(){
				var other = $(this).parent().siblings(".radio");
				if(!$(this).hasClass("on")){
					$(this).siblings("input").attr("checked", true);
					$(this).addClass("on");
					other.find("input").attr("checked", false);
					other.find(".rdlabel").removeClass("on");
				}
			});
		},
		/**
		 *	上传文件效果
		 */
		file : function(){
			
			/**
			 *	单击事件绑定
			 */
			$(this).live("change",function(obj){
				/**
				 *	获取事件源，兼容chrome/IE
				 */
				var src = obj.target || window.event.srcElement;
				/**
				 *	获取放文件名位置
				 */
				var fname = $(this).parent().find(".filename");
				/**
				 *	下面把路径截取为文件名
				 */
				var filename=src.value;
				fname.text(filename.substring( filename.lastIndexOf('\\')+1 ));
				fname.attr("title", filename.substring( filename.lastIndexOf('\\')+1 ));
				fname.css("color","#333");
				
				/**
				 *	触发按钮
				 */
				if(filename.length!=0){  
					$(this).parent().find(":button").addClass("zbztb_greebtn").removeClass("zbztb_notbtn").attr("disabled",false);
					
				}
			});	
		}
	});
})(jQuery);

/**
 *	页面初始化处理所有单选/复选框效果
 */
$(function(){
	$(".cklabel").checkbox();
	$(".rdlabel").radio();
	$(".fflabel").file();
});